Bug 1599823 - [GSS] Error while creating new volume in CNS "Brick may be containing or be contained by an existing brick"
Summary: [GSS] Error while creating new volume in CNS "Brick may be containing or be c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Sanju
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On: 1599783 1599803
Blocks: 1503138
TreeView+ depends on / blocked
 
Reported: 2018-07-10 16:13 UTC by Atin Mukherjee
Modified: 2018-12-10 02:45 UTC (History)
25 users (show)

Fixed In Version: glusterfs-3.12.2-14
Doc Type: Bug Fix
Doc Text:
Earlier, during volume create, glusterd failed to handle blank real paths while checking if the brick path is already a part of another volume. Hence, volume create requests would fail. This update fixes the path comparison logic. Now, glusterd can handle blank paths and prevents failure of volume create requests.
Clone Of: 1599803
Environment:
Last Closed: 2018-09-04 06:50:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:51:44 UTC
Red Hat Bugzilla 1484412 None CLOSED [GSS] Error while creating new volume in CNS "Brick may be containing or be contained by an existing brick" 2019-03-10 09:48:01 UTC

Internal Links: 1484412

Comment 13 Bala Konda Reddy M 2018-07-19 09:31:14 UTC
Build: 3.12.2-14

Simulated the bug using gdb as below
1. Ran glusterd with gdb prior to that install glusterfs-debuginfo packages
   gdb -p `pidof glusterd`
2. Do "b glusterd_is_brickpath_available" and continue using c
3. Go till line 1326 (where brickinfo->real_path will get the brick path for creating the volume)
4. perform  p brickinfo->real_path = "" and continued the steps  
5. The volume will fail.

The new volume created successfully.

Hence marking this as verified

Comment 15 Srijita Mukherjee 2018-09-03 14:34:28 UTC
Updated the doc text. Kindly review an confirm

Comment 16 Sanju 2018-09-04 04:57:21 UTC
(In reply to Srijita Mukherjee from comment #15)
> Updated the doc text. Kindly review an confirm

Looks good to me, I would like Atin to confirm it.

Thanks,
Sanju

Comment 17 errata-xmlrpc 2018-09-04 06:50:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.